#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> solve(vector<int> a)
{
    vector<pair<int, int>> p;
    for(int i=0; i<a.size(); i++)
    {
        p.push_back({a[i], i});
    }
    sort(p.begin(), p.end());
    vector<int> ans;
    for(int i=0; i<p.size()/2; i++)
    {
        ans.push_back(p[i].second);
    }
    ans.push_back(p[p.size()-1].second);
    return ans;
}